Page MenuHomePhabricator

Circular require_once
Closed, DeclinedPublic

Description

Author: jernst+wikimedia.org

Description:
SearchEngine.php may require_once( 'SearchMySQL3.php' )
SearchMySQL3.php does require_once( 'SearchMySQL.php' )
SearchMySQL.php does require_once( 'SearchEngine.php' )

While not actively harmful, I suspect that isn't intended so I figured I might
as well make a note of it.


Version: 1.5.x
Severity: trivial

Details

Reference
bz3647

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 8:51 PM
bzimport added a project: MediaWiki-Search.
bzimport set Reference to bz3647.
bzimport added a subscriber: Unknown Object (MLST).

SearchMySQL4.php is only required by SearchEngine.php, but that's still
good to let it around.

Thanks for the notice.